Tracker # 28633 (Resolved): Update GraphQL to work with Rails 6

Graphql association preload doesn't work with Rails 6

04/14/2020 12:28 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Rails   

Target version:    

Difficulty: medium Fixed in Releases: 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7586

  

Description

Rails 6 is changing behaviour of preloading associations.

It no longer assigns customly preloaded associations to the record itself and thus such associations doesn't seem preloaded.

Preloaded records are then ignored on subsequent calls to record.<association_name>.

We use custom preloading, so we need to update accordingly.

Associated revisions

Revision d2175aa0 - 04/16/2020 09:05 AM - Ondřej Ezr

Fixes #29523 - GraphQL collection preloading on Rails 6

History

#1 - 04/14/2020 12:33 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7586 added

#2 - 04/16/2020 09:05 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 04/16/2020 10:01 AM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset d2175aa0161e6e05a0474a61ea93f0f4f135a865.
